org.restlet.engine.security

## Class RoleMapping

- java.lang.Object
- - org.restlet.engine.security.RoleMapping

    public class RoleMapping
    extends java.lang.Object

Mapping from an organization or a user or a group to a role.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`RoleMapping()` Default constructor.
`RoleMapping(java.lang.Object source, Role target)` Constructor.

### Method Summary

Methods
`java.lang.Object` `getSource()`
`Role` `getTarget()`
`void` `setSource(java.lang.Object source)`
`void` `setTarget(Role target)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RoleMapping

    public RoleMapping()

Default constructor.

#### RoleMapping

    public RoleMapping(java.lang.Object source,
               Role target)

Constructor.

Parameters:
  `source` -
  `target` -

### Method Detail

#### getSource

    public java.lang.Object getSource()

#### getTarget

    public Role getTarget()

#### setSource

    public void setSource(java.lang.Object source)

#### setTarget

    public void setTarget(Role target)